Anyconnect 4 - Manuelle Installation unter Linux: Unterschied zwischen den Versionen

Aus helpdesk
Wechseln zu: Navigation, Suche
(Downloadlink angepasst und Installationsbeschreibung konkretisiert)
Zeile 1: Zeile 1:
Für die Installation ist das '''root'''-Recht erforderlich. Dies wird in den verschiedenen Linux-Distributionen unterschiedlich realisiert, etwa mit dem '''''sudo'''''-Befehl. An dieser Stelle muss der Benutzer ggf. sein eigenes lokales Linux-Passwort eingeben. Voraussetzung ist natürlich der entsprechende Eintrag in der '''/etc/sudoers'''-Datei.
+
Für die Installation sind '''root'''-Rechte erforderlich. Dies wird in den verschiedenen Linux-Distributionen unterschiedlich realisiert, etwa mit dem '''''sudo'''''-Befehl. An dieser Stelle muss der Benutzer ggf. sein eigenes lokales Linux-Passwort eingeben. Voraussetzung ist natürlich der entsprechende Eintrag in der '''/etc/sudoers'''-Datei.
  
Die Installationssoftware kann über die Seite  
+
Die Installationssoftware kann über die Seite
http://www.fernuni-hagen.de/zmi/produkte_service/vpn_client.shtml
+
https://www.fernuni-hagen.de/zmi/download/#software
im Downloadbereich heruntergeladen werden.
+
heruntergeladen werden.
  
Dieses ist herunterzuladen und als '''root''' auszuführen (Datei-Recht X:ausführbar setzen!). Das Skript packt sich dann selber aus und installiert den AnyConnect-Client ins Verzeichnis '''/opt/cisco/anyconnect''' .
+
Diese muss entpackt werden, zum Beispiel mit '''tar xfz  anyconnect-linux64-4.8.03036-predeploy-k9.tar.gz'''. Als Root muss dann unter '''anyconnect-linux64-4.8.03036/vpn/''' das Skript '''vpn_install.sh''' ausgeführt werden (Datei-Recht X:ausführbar setzen!). Das Skript packt sich dann selber aus und installiert den AnyConnect-Client ins Verzeichnis '''/opt/cisco/anyconnect''' .
  
 
Danach sollte im Programm-Ordner (abhängig von Ihrer Distribution) das folgende Icon erscheinen:
 
Danach sollte im Programm-Ordner (abhängig von Ihrer Distribution) das folgende Icon erscheinen:
Zeile 11: Zeile 11:
 
[[Datei:Vpnui48.jpg]]
 
[[Datei:Vpnui48.jpg]]
 
'''Cisco Anyconnect Client'''
 
'''Cisco Anyconnect Client'''
 
  
 
Damit ist das Programm aufzurufen und zu konfigurieren:
 
Damit ist das Programm aufzurufen und zu konfigurieren:
Zeile 18: Zeile 17:
  
 
In das "Connect to"-Feld muss "webvpn.fernuni-hagen.de" eingegeben werden um eine Verbindung herstellen zu können.   
 
In das "Connect to"-Feld muss "webvpn.fernuni-hagen.de" eingegeben werden um eine Verbindung herstellen zu können.   
 
  
 
'''Hinweis:'''
 
'''Hinweis:'''

Version vom 7. Juli 2020, 09:00 Uhr

Für die Installation sind root-Rechte erforderlich. Dies wird in den verschiedenen Linux-Distributionen unterschiedlich realisiert, etwa mit dem sudo-Befehl. An dieser Stelle muss der Benutzer ggf. sein eigenes lokales Linux-Passwort eingeben. Voraussetzung ist natürlich der entsprechende Eintrag in der /etc/sudoers-Datei.

Die Installationssoftware kann über die Seite https://www.fernuni-hagen.de/zmi/download/#software heruntergeladen werden.

Diese muss entpackt werden, zum Beispiel mit tar xfz anyconnect-linux64-4.8.03036-predeploy-k9.tar.gz. Als Root muss dann unter anyconnect-linux64-4.8.03036/vpn/ das Skript vpn_install.sh ausgeführt werden (Datei-Recht X:ausführbar setzen!). Das Skript packt sich dann selber aus und installiert den AnyConnect-Client ins Verzeichnis /opt/cisco/anyconnect .

Danach sollte im Programm-Ordner (abhängig von Ihrer Distribution) das folgende Icon erscheinen:

Vpnui48.jpg Cisco Anyconnect Client

Damit ist das Programm aufzurufen und zu konfigurieren:

Anyconnect execute linux64.jpg

In das "Connect to"-Feld muss "webvpn.fernuni-hagen.de" eingegeben werden um eine Verbindung herstellen zu können.

Hinweis: Das laufende Programm besteht aus zwei Prozessen: dem VPN-Dienst vpnagentd (dieser muss als root laufen) und dem User-Frontend vpnui, das mit Benutzerrecht läuft.

Beide befinden sich in /opt/cisco/anyconnect/bin



Probleme unter Linux:

Die Gui des AnyConnect Clients startet nicht, obwohl sie korrekt installiert worden ist.

Es fehlen im System die Bibliotheken libpangox/libpangoxft. Diese sind z.B. bei OpenSuSE 13.2 nicht mehr standardmäßig installiert.